REST API Reference


OpenShift Container Platform 3.4

OpenShift Container Platform 3.4 REST API for Developers

Red Hat OpenShift Documentation Team

Abstract

The OpenShift Container Platform 3.4 distribution of Kubernetes includes the Kubernetes v1 REST API and the OpenShift v1 REST API. These are RESTful APIs accessible via HTTP(s) on the OpenShift Container Platform master servers.

These REST APIs can be used to manage end-user applications, the cluster, and the users of the cluster.


Chapter 1. Overview

 
The OpenShift Container Platform distribution of Kubernetes includes the Kubernetes v1 REST API and the OpenShift v1 REST API. These are RESTful APIs accessible via HTTP(s) on the OpenShift Container Platform master servers.

These REST APIs can be used to manage end-user applications, the cluster, and the users of the cluster.

1.1. Authentication

API calls must be authenticated with an access token or X.509 certificate. See Authentication in the Architecture documentation for an overview.

This section highlights the token authentication method. With token authentication, a bearer token must be passed in as an HTTP Authorization header. There are two types of access tokens: session and service account.

1.1.1. Session Tokens

A session token is short-lived, expiring within 24 hours by default. It represents a user. After logging in, the session token may be obtained with the oc whoami command:

$ oc login -u test_user
Using project "test".
$ oc whoami --token
dIAo76N-W-GXK3S_w_KsC6DmH3MzP79zq7jbMQvCOUo
Copy to Clipboard Toggle word wrap

1.1.2. Service Account Tokens

Service account tokens are long-lived tokens. They are JSON Web Token (JWT) formatted tokens and are much longer strings than session tokens. See Using a Service Account’s Credentials Externally for steps on using these tokens to authenticate using the CLI.

A service account token may be obtained with these commands:

  1. Create a service account in the current project (test) named robot:

    $ oc create serviceaccount robot
    serviceaccount "robot" created
    Copy to Clipboard Toggle word wrap
  2. Grant a role to the service account. In this example, assign the robot service account in the test project the admin role:

    $ oc policy add-role-to-user admin system:serviceaccount:test:robot
    Copy to Clipboard Toggle word wrap
  3. Describe the service account to discover the secret token name:

    $ oc describe serviceaccount robot
    Name:		robot
    Namespace:	test
    Labels:		<none>
    
    Image pull secrets:	robot-dockercfg-rdrpg
    
    Mountable secrets: 	robot-token-2dsne
                       	robot-dockercfg-rdrpg
    
    Tokens:            	robot-token-2dsne
                       	robot-token-9efwm
    Copy to Clipboard Toggle word wrap
  4. Describe the secret token to get the token value:

    $  oc describe secret robot-token-2dsne
    Name:		robot-token-2dsne
    Namespace:	test
    Labels:		<none>
    Annotations:	kubernetes.io/service-account.name=robot,kubernetes.io/service-account.uid=ea70e4c7-0663-11e6-b279-fa163e610e01
    
    Type:	kubernetes.io/service-account-token
    
    Data
    ===
    token:		fyJhbGciOiJSUzI1NiIyInR5cCI2IkpXVCJ9...
    ca.crt:		1070 bytes
    namespace:	8 bytes
    Copy to Clipboard Toggle word wrap

The token value may be used in an authorization header to authenticate API calls, the CLI or in the docker login command. Service accounts may be created and deleted as needed with the appropriate role(s) assigned. See Authorization in the Architecture documentation for a deeper discussion on roles.

1.2. Examples

These examples provide a quick reference for making successful REST API calls. They use insecure methods. In these examples, a simple GET call is made to list available resources.

1.2.1. cURL

Example 1.1. Request (Insecure)

$ curl -X GET -H "Authorization: Bearer <token>" https://openshift.redhat.com:8443/oapi/v1 --insecure
Copy to Clipboard Toggle word wrap

Example 1.2. Result (Truncated)

{
  "kind": "APIResourceList",
  "groupVersion": "v1",
  "resources": [
    {
      "name": "buildconfigs",
      "namespaced": true,
      "kind": "BuildConfig"
    },
    {
      "name": "buildconfigs/instantiate",
      "namespaced": true,
      "kind": "BuildRequest"
    },
    {
      "name": "buildconfigs/instantiatebinary",
      "namespaced": true,
      "kind": "BinaryBuildRequestOptions"
    },
    {
      "name": "buildconfigs/webhooks",
      "namespaced": true,
      "kind": "Status"
    },
    {
      "name": "builds",
      "namespaced": true,
      "kind": "Build"
    },
    ...
    {
      "name": "subjectaccessreviews",
      "namespaced": true,
      "kind": "SubjectAccessReview"
    },
    {
      "name": "templates",
      "namespaced": true,
      "kind": "Template"
    },
    {
      "name": "useridentitymappings",
      "namespaced": false,
      "kind": "UserIdentityMapping"
    },
    {
      "name": "users",
      "namespaced": false,
      "kind": "User"
    }
  ]
}
Copy to Clipboard Toggle word wrap

1.2.2. Python

Example 1.3. Interactive Python API Call Using "requests" Module (Insecure)

>>> import requests
>>> url = 'https://openshift.redhat.com:8443/oapi/v1'
>>> headers = {'Authorization': 'Bearer dIAo76N-W-GXK3S_w_KsC6DmH3MzP79zq7jbMQvCOUo'}
>>> requests.get(url, headers=headers, verify=False)
/usr/lib/python2.7/site-packages/requests/packages/urllib3/connectionpool.py:791: InsecureRequestWarning: Unverified HTTPS request is being made. Adding certificate verification is strongly advised. See: https://urllib3.readthedocs.org/en/latest/security.html
  InsecureRequestWarning)
<Response [200]>
Copy to Clipboard Toggle word wrap

1.2.3. Docker Login

The OpenShift Container Platform integrated Docker registry must be authenticated using either a user session or service account token. The value of the token must be used as the value for the --password argument. The user and email argument values are ignored:

$ docker login -p <token_value> -u unused -e unused <registry>[:<port>]
Copy to Clipboard Toggle word wrap

1.3. Image Signatures

The OpenShift Container Registry allows the users to manipulate the image signatures using its own API. See Reading and Writing Image Signatures for more information.

1.4. Websockets and Watching for Changes

The API is designed to work via the websocket protocol. API requests may take the form of "one-shot" calls to list resources or by passing in query parameter watch=true. When watching an endpoint, changes to the system may be observed through an open endpoint. Using callbacks, dynamic systems may be developed that integrate with the API.

For more information and examples, see the Mozilla Developer Network page on Writing WebSocket client applications.

2.1. Overview

The OpenShift Container Platform API exposes operations for managing an enterprise Kubernetes cluster, including security and user management, application deployments, image and source builds, HTTP(s) routing, and project management.

2.1.1. Version information

Version: v1

2.1.2. URI scheme

Host: 127.0.0.1:8443 BasePath: / Schemes: HTTPS

2.2. Paths

2.2.1. get available resources

GET /oapi/v1
Copy to Clipboard Toggle word wrap
2.2.1.1. Responses
Expand
HTTP CodeDescriptionSchema

default

success

Section 2.3.5, “unversioned.APIResourceList”

2.2.1.2. Consumes
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.1.3. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.1.4. Tags
  • oapiv1
GET /oapi/v1/appliedclusterresourcequotas
Copy to Clipboard Toggle word wrap
2.2.2.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.2.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.15, “v1.AppliedClusterResourceQuotaList”

2.2.2.3. Consumes
  • /
2.2.2.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.2.5. Tags
  • oapiv1

2.2.3. create a BuildConfig

POST /oapi/v1/buildconfigs
Copy to Clipboard Toggle word wrap
2.2.3.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.21, “v1.BuildConfig”

 
2.2.3.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.21, “v1.BuildConfig”

2.2.3.3. Consumes
  • /
2.2.3.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.3.5. Tags
  • oapiv1

2.2.4. list or watch objects of kind BuildConfig

GET /oapi/v1/buildconfigs
Copy to Clipboard Toggle word wrap
2.2.4.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.4.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.22, “v1.BuildConfigList”

2.2.4.3. Consumes
  • /
2.2.4.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.4.5. Tags
  • oapiv1

2.2.5. create a Build

POST /oapi/v1/builds
Copy to Clipboard Toggle word wrap
2.2.5.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.20, “v1.Build”

 
2.2.5.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.20, “v1.Build”

2.2.5.3. Consumes
  • /
2.2.5.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.5.5. Tags
  • oapiv1

2.2.6. list or watch objects of kind Build

GET /oapi/v1/builds
Copy to Clipboard Toggle word wrap
2.2.6.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.6.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.25, “v1.BuildList”

2.2.6.3. Consumes
  • /
2.2.6.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.6.5. Tags
  • oapiv1

2.2.7. delete collection of ClusterNetwork

DELETE /oapi/v1/clusternetworks
Copy to Clipboard Toggle word wrap
2.2.7.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.7.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.10, “unversioned.Status”

2.2.7.3. Consumes
  • /
2.2.7.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.7.5. Tags
  • oapiv1

2.2.8. create a ClusterNetwork

POST /oapi/v1/clusternetworks
Copy to Clipboard Toggle word wrap
2.2.8.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.40, “v1.ClusterNetwork”

 
2.2.8.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.40, “v1.ClusterNetwork”

2.2.8.3. Consumes
  • /
2.2.8.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.8.5. Tags
  • oapiv1
GET /oapi/v1/clusternetworks
Copy to Clipboard Toggle word wrap
2.2.9.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.9.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.41, “v1.ClusterNetworkList”

2.2.9.3. Consumes
  • /
2.2.9.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.9.5. Tags
  • oapiv1

2.2.10. replace the specified ClusterNetwork

PUT /oapi/v1/clusternetworks/{name}
Copy to Clipboard Toggle word wrap
2.2.10.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.40, “v1.ClusterNetwork”

 

PathParameter

name

name of the ClusterNetwork

true

string

 
2.2.10.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.40, “v1.ClusterNetwork”

2.2.10.3. Consumes
  • /
2.2.10.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.10.5. Tags
  • oapiv1

2.2.11. delete a ClusterNetwork

DELETE /oapi/v1/clusternetworks/{name}
Copy to Clipboard Toggle word wrap
2.2.11.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.62, “v1.DeleteOptions”

 

PathParameter

name

name of the ClusterNetwork

true

string

 
2.2.11.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.10, “unversioned.Status”

2.2.11.3. Consumes
  • /
2.2.11.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.11.5. Tags
  • oapiv1
PATCH /oapi/v1/clusternetworks/{name}
Copy to Clipboard Toggle word wrap
2.2.12.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.9, “unversioned.Patch”

 

PathParameter

name

name of the ClusterNetwork

true

string

 
2.2.12.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.40, “v1.ClusterNetwork”

2.2.12.3. Consumes
  • application/json-patch+json
  • application/merge-patch+json
  • application/strategic-merge-patch+json
2.2.12.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.12.5. Tags
  • oapiv1

2.2.13. read the specified ClusterNetwork

GET /oapi/v1/clusternetworks/{name}
Copy to Clipboard Toggle word wrap
2.2.13.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

export

Should this value be exported. Export strips fields that a user can not specify.

false

boolean

 

QueryParameter

exact

Should the export be exact. Exact export maintains cluster-specific fields like 'Namespace'

false

boolean

 

PathParameter

name

name of the ClusterNetwork

true

string

 
2.2.13.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.40, “v1.ClusterNetwork”

2.2.13.3. Consumes
  • /
2.2.13.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.13.5. Tags
  • oapiv1

2.2.14. delete collection of ClusterPolicy

DELETE /oapi/v1/clusterpolicies
Copy to Clipboard Toggle word wrap
2.2.14.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.14.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.10, “unversioned.Status”

2.2.14.3. Consumes
  • /
2.2.14.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.14.5. Tags
  • oapiv1

2.2.15. create a ClusterPolicy

POST /oapi/v1/clusterpolicies
Copy to Clipboard Toggle word wrap
2.2.15.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.42, “v1.ClusterPolicy”

 
2.2.15.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.42, “v1.ClusterPolicy”

2.2.15.3. Consumes
  • /
2.2.15.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.15.5. Tags
  • oapiv1
GET /oapi/v1/clusterpolicies
Copy to Clipboard Toggle word wrap
2.2.16.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.16.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.45, “v1.ClusterPolicyList”

2.2.16.3. Consumes
  • /
2.2.16.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.16.5. Tags
  • oapiv1

2.2.17. replace the specified ClusterPolicy

PUT /oapi/v1/clusterpolicies/{name}
Copy to Clipboard Toggle word wrap
2.2.17.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.42, “v1.ClusterPolicy”

 

PathParameter

name

name of the ClusterPolicy

true

string

 
2.2.17.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.42, “v1.ClusterPolicy”

2.2.17.3. Consumes
  • /
2.2.17.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.17.5. Tags
  • oapiv1

2.2.18. delete a ClusterPolicy

DELETE /oapi/v1/clusterpolicies/{name}
Copy to Clipboard Toggle word wrap
2.2.18.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.62, “v1.DeleteOptions”

 

PathParameter

name

name of the ClusterPolicy

true

string

 
2.2.18.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.10, “unversioned.Status”

2.2.18.3. Consumes
  • /
2.2.18.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.18.5. Tags
  • oapiv1
PATCH /oapi/v1/clusterpolicies/{name}
Copy to Clipboard Toggle word wrap
2.2.19.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.9, “unversioned.Patch”

 

PathParameter

name

name of the ClusterPolicy

true

string

 
2.2.19.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.42, “v1.ClusterPolicy”

2.2.19.3. Consumes
  • application/json-patch+json
  • application/merge-patch+json
  • application/strategic-merge-patch+json
2.2.19.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.19.5. Tags
  • oapiv1

2.2.20. read the specified ClusterPolicy

GET /oapi/v1/clusterpolicies/{name}
Copy to Clipboard Toggle word wrap
2.2.20.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

export

Should this value be exported. Export strips fields that a user can not specify.

false

boolean

 

QueryParameter

exact

Should the export be exact. Exact export maintains cluster-specific fields like 'Namespace'

false

boolean

 

PathParameter

name

name of the ClusterPolicy

true

string

 
2.2.20.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.42, “v1.ClusterPolicy”

2.2.20.3. Consumes
  • /
2.2.20.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.20.5. Tags
  • oapiv1

2.2.21. delete collection of ClusterPolicyBinding

DELETE /oapi/v1/clusterpolicybindings
Copy to Clipboard Toggle word wrap
2.2.21.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.21.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.10, “unversioned.Status”

2.2.21.3. Consumes
  • /
2.2.21.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.21.5. Tags
  • oapiv1

2.2.22. create a ClusterPolicyBinding

POST /oapi/v1/clusterpolicybindings
Copy to Clipboard Toggle word wrap
2.2.22.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.43, “v1.ClusterPolicyBinding”

 
2.2.22.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.43, “v1.ClusterPolicyBinding”

2.2.22.3. Consumes
  • /
2.2.22.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.22.5. Tags
  • oapiv1
GET /oapi/v1/clusterpolicybindings
Copy to Clipboard Toggle word wrap
2.2.23.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.23.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.44, “v1.ClusterPolicyBindingList”

2.2.23.3. Consumes
  • /
2.2.23.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.23.5. Tags
  • oapiv1

2.2.24. replace the specified ClusterPolicyBinding

PUT /oapi/v1/clusterpolicybindings/{name}
Copy to Clipboard Toggle word wrap
2.2.24.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.43, “v1.ClusterPolicyBinding”

 

PathParameter

name

name of the ClusterPolicyBinding

true

string

 
2.2.24.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.43, “v1.ClusterPolicyBinding”

2.2.24.3. Consumes
  • /
2.2.24.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.24.5. Tags
  • oapiv1

2.2.25. delete a ClusterPolicyBinding

DELETE /oapi/v1/clusterpolicybindings/{name}
Copy to Clipboard Toggle word wrap
2.2.25.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.62, “v1.DeleteOptions”

 

PathParameter

name

name of the ClusterPolicyBinding

true

string

 
2.2.25.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.10, “unversioned.Status”

2.2.25.3. Consumes
  • /
2.2.25.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.25.5. Tags
  • oapiv1
PATCH /oapi/v1/clusterpolicybindings/{name}
Copy to Clipboard Toggle word wrap
2.2.26.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.9, “unversioned.Patch”

 

PathParameter

name

name of the ClusterPolicyBinding

true

string

 
2.2.26.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.43, “v1.ClusterPolicyBinding”

2.2.26.3. Consumes
  • application/json-patch+json
  • application/merge-patch+json
  • application/strategic-merge-patch+json
2.2.26.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.26.5. Tags
  • oapiv1

2.2.27. read the specified ClusterPolicyBinding

GET /oapi/v1/clusterpolicybindings/{name}
Copy to Clipboard Toggle word wrap
2.2.27.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

export

Should this value be exported. Export strips fields that a user can not specify.

false

boolean

 

QueryParameter

exact

Should the export be exact. Exact export maintains cluster-specific fields like 'Namespace'

false

boolean

 

PathParameter

name

name of the ClusterPolicyBinding

true

string

 
2.2.27.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.43, “v1.ClusterPolicyBinding”

2.2.27.3. Consumes
  • /
2.2.27.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.27.5. Tags
  • oapiv1

2.2.28. delete collection of ClusterResourceQuota

DELETE /oapi/v1/clusterresourcequotas
Copy to Clipboard Toggle word wrap
2.2.28.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.28.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.10, “unversioned.Status”

2.2.28.3. Consumes
  • /
2.2.28.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.28.5. Tags
  • oapiv1

2.2.29. create a ClusterResourceQuota

POST /oapi/v1/clusterresourcequotas
Copy to Clipboard Toggle word wrap
2.2.29.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.46, “v1.ClusterResourceQuota”

 
2.2.29.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.46, “v1.ClusterResourceQuota”

2.2.29.3. Consumes
  • /
2.2.29.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.29.5. Tags
  • oapiv1
GET /oapi/v1/clusterresourcequotas
Copy to Clipboard Toggle word wrap
2.2.30.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.30.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.47, “v1.ClusterResourceQuotaList”

2.2.30.3. Consumes
  • /
2.2.30.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.30.5. Tags
  • oapiv1

2.2.31. replace the specified ClusterResourceQuota

PUT /oapi/v1/clusterresourcequotas/{name}
Copy to Clipboard Toggle word wrap
2.2.31.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.46, “v1.ClusterResourceQuota”

 

PathParameter

name

name of the ClusterResourceQuota

true

string

 
2.2.31.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.46, “v1.ClusterResourceQuota”

2.2.31.3. Consumes
  • /
2.2.31.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.31.5. Tags
  • oapiv1

2.2.32. delete a ClusterResourceQuota

DELETE /oapi/v1/clusterresourcequotas/{name}
Copy to Clipboard Toggle word wrap
2.2.32.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.62, “v1.DeleteOptions”

 

PathParameter

name

name of the ClusterResourceQuota

true

string

 
2.2.32.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.10, “unversioned.Status”

2.2.32.3. Consumes
  • /
2.2.32.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.32.5. Tags
  • oapiv1
PATCH /oapi/v1/clusterresourcequotas/{name}
Copy to Clipboard Toggle word wrap
2.2.33.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.9, “unversioned.Patch”

 

PathParameter

name

name of the ClusterResourceQuota

true

string

 
2.2.33.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.46, “v1.ClusterResourceQuota”

2.2.33.3. Consumes
  • application/json-patch+json
  • application/merge-patch+json
  • application/strategic-merge-patch+json
2.2.33.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.33.5. Tags
  • oapiv1

2.2.34. read the specified ClusterResourceQuota

GET /oapi/v1/clusterresourcequotas/{name}
Copy to Clipboard Toggle word wrap
2.2.34.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

export

Should this value be exported. Export strips fields that a user can not specify.

false

boolean

 

QueryParameter

exact

Should the export be exact. Exact export maintains cluster-specific fields like 'Namespace'

false

boolean

 

PathParameter

name

name of the ClusterResourceQuota

true

string

 
2.2.34.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.46, “v1.ClusterResourceQuota”

2.2.34.3. Consumes
  • /
2.2.34.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.34.5. Tags
  • oapiv1
PUT /oapi/v1/clusterresourcequotas/{name}/status
Copy to Clipboard Toggle word wrap
2.2.35.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.46, “v1.ClusterResourceQuota”

 

PathParameter

name

name of the ClusterResourceQuota

true

string

 
2.2.35.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.46, “v1.ClusterResourceQuota”

2.2.35.3. Consumes
  • /
2.2.35.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.35.5. Tags
  • oapiv1
PATCH /oapi/v1/clusterresourcequotas/{name}/status
Copy to Clipboard Toggle word wrap
2.2.36.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.9, “unversioned.Patch”

 

PathParameter

name

name of the ClusterResourceQuota

true

string

 
2.2.36.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.46, “v1.ClusterResourceQuota”

2.2.36.3. Consumes
  • application/json-patch+json
  • application/merge-patch+json
  • application/strategic-merge-patch+json
2.2.36.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.36.5. Tags
  • oapiv1
GET /oapi/v1/clusterresourcequotas/{name}/status
Copy to Clipboard Toggle word wrap
2.2.37.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

PathParameter

name

name of the ClusterResourceQuota

true

string

 
2.2.37.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.46, “v1.ClusterResourceQuota”

2.2.37.3. Consumes
  • /
2.2.37.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.37.5. Tags
  • oapiv1

2.2.38. create a ClusterRoleBinding

POST /oapi/v1/clusterrolebindings
Copy to Clipboard Toggle word wrap
2.2.38.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.52, “v1.ClusterRoleBinding”

 
2.2.38.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.52, “v1.ClusterRoleBinding”

2.2.38.3. Consumes
  • /
2.2.38.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.38.5. Tags
  • oapiv1

2.2.39. list objects of kind ClusterRoleBinding

GET /oapi/v1/clusterrolebindings
Copy to Clipboard Toggle word wrap
2.2.39.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.39.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.53, “v1.ClusterRoleBindingList”

2.2.39.3. Consumes
  • /
2.2.39.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.39.5. Tags
  • oapiv1

2.2.40. replace the specified ClusterRoleBinding

PUT /oapi/v1/clusterrolebindings/{name}
Copy to Clipboard Toggle word wrap
2.2.40.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.52, “v1.ClusterRoleBinding”

 

PathParameter

name

name of the ClusterRoleBinding

true

string

 
2.2.40.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.52, “v1.ClusterRoleBinding”

2.2.40.3. Consumes
  • /
2.2.40.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.40.5. Tags
  • oapiv1

2.2.41. delete a ClusterRoleBinding

DELETE /oapi/v1/clusterrolebindings/{name}
Copy to Clipboard Toggle word wrap
2.2.41.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.62, “v1.DeleteOptions”

 

PathParameter

name

name of the ClusterRoleBinding

true

string

 
2.2.41.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.10, “unversioned.Status”

2.2.41.3. Consumes
  • /
2.2.41.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.41.5. Tags
  • oapiv1
PATCH /oapi/v1/clusterrolebindings/{name}
Copy to Clipboard Toggle word wrap
2.2.42.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.9, “unversioned.Patch”

 

PathParameter

name

name of the ClusterRoleBinding

true

string

 
2.2.42.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.52, “v1.ClusterRoleBinding”

2.2.42.3. Consumes
  • application/json-patch+json
  • application/merge-patch+json
  • application/strategic-merge-patch+json
2.2.42.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.42.5. Tags
  • oapiv1

2.2.43. read the specified ClusterRoleBinding

GET /oapi/v1/clusterrolebindings/{name}
Copy to Clipboard Toggle word wrap
2.2.43.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

PathParameter

name

name of the ClusterRoleBinding

true

string

 
2.2.43.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.52, “v1.ClusterRoleBinding”

2.2.43.3. Consumes
  • /
2.2.43.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.43.5. Tags
  • oapiv1

2.2.44. create a ClusterRole

POST /oapi/v1/clusterroles
Copy to Clipboard Toggle word wrap
2.2.44.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.51, “v1.ClusterRole”

 
2.2.44.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.51, “v1.ClusterRole”

2.2.44.3. Consumes
  • /
2.2.44.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.44.5. Tags
  • oapiv1

2.2.45. list objects of kind ClusterRole

GET /oapi/v1/clusterroles
Copy to Clipboard Toggle word wrap
2.2.45.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.45.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.54, “v1.ClusterRoleList”

2.2.45.3. Consumes
  • /
2.2.45.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.45.5. Tags
  • oapiv1

2.2.46. replace the specified ClusterRole

PUT /oapi/v1/clusterroles/{name}
Copy to Clipboard Toggle word wrap
2.2.46.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.51, “v1.ClusterRole”

 

PathParameter

name

name of the ClusterRole

true

string

 
2.2.46.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.51, “v1.ClusterRole”

2.2.46.3. Consumes
  • /
2.2.46.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.46.5. Tags
  • oapiv1

2.2.47. delete a ClusterRole

DELETE /oapi/v1/clusterroles/{name}
Copy to Clipboard Toggle word wrap
2.2.47.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.62, “v1.DeleteOptions”

 

PathParameter

name

name of the ClusterRole

true

string

 
2.2.47.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.10, “unversioned.Status”

2.2.47.3. Consumes
  • /
2.2.47.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.47.5. Tags
  • oapiv1

2.2.48. partially update the specified ClusterRole

PATCH /oapi/v1/clusterroles/{name}
Copy to Clipboard Toggle word wrap
2.2.48.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.9, “unversioned.Patch”

 

PathParameter

name

name of the ClusterRole

true

string

 
2.2.48.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.51, “v1.ClusterRole”

2.2.48.3. Consumes
  • application/json-patch+json
  • application/merge-patch+json
  • application/strategic-merge-patch+json
2.2.48.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.48.5. Tags
  • oapiv1

2.2.49. read the specified ClusterRole

GET /oapi/v1/clusterroles/{name}
Copy to Clipboard Toggle word wrap
2.2.49.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

PathParameter

name

name of the ClusterRole

true

string

 
2.2.49.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.51, “v1.ClusterRole”

2.2.49.3. Consumes
  • /
2.2.49.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.49.5. Tags
  • oapiv1

2.2.50. create a DeploymentConfigRollback

POST /oapi/v1/deploymentconfigrollbacks
Copy to Clipboard Toggle word wrap
2.2.50.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.68, “v1.DeploymentConfigRollback”

 
2.2.50.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.68, “v1.DeploymentConfigRollback”

2.2.50.3. Consumes
  • /
2.2.50.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.50.5. Tags
  • oapiv1

2.2.51. create a DeploymentConfig

POST /oapi/v1/deploymentconfigs
Copy to Clipboard Toggle word wrap
2.2.51.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.66, “v1.DeploymentConfig”

 
2.2.51.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.66, “v1.DeploymentConfig”

2.2.51.3. Consumes
  • /
2.2.51.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.51.5. Tags
  • oapiv1
GET /oapi/v1/deploymentconfigs
Copy to Clipboard Toggle word wrap
2.2.52.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.52.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.67, “v1.DeploymentConfigList”

2.2.52.3. Consumes
  • /
2.2.52.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.52.5. Tags
  • oapiv1

2.2.53. create a EgressNetworkPolicy

POST /oapi/v1/egressnetworkpolicies
Copy to Clipboard Toggle word wrap
2.2.53.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.83, “v1.EgressNetworkPolicy”

 
2.2.53.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.83, “v1.EgressNetworkPolicy”

2.2.53.3. Consumes
  • /
2.2.53.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.53.5. Tags
  • oapiv1
GET /oapi/v1/egressnetworkpolicies
Copy to Clipboard Toggle word wrap
2.2.54.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.54.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.84, “v1.EgressNetworkPolicyList”

2.2.54.3. Consumes
  • /
2.2.54.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.54.5. Tags
  • oapiv1

2.2.55. delete collection of Group

DELETE /oapi/v1/groups
Copy to Clipboard Toggle word wrap
2.2.55.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.55.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.10, “unversioned.Status”

2.2.55.3. Consumes
  • /
2.2.55.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.55.5. Tags
  • oapiv1

2.2.56. create a Group

POST /oapi/v1/groups
Copy to Clipboard Toggle word wrap
2.2.56.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.104, “v1.Group”

 
2.2.56.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.104, “v1.Group”

2.2.56.3. Consumes
  • /
2.2.56.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.56.5. Tags
  • oapiv1

2.2.57. list or watch objects of kind Group

GET /oapi/v1/groups
Copy to Clipboard Toggle word wrap
2.2.57.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.57.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.105, “v1.GroupList”

2.2.57.3. Consumes
  • /
2.2.57.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.57.5. Tags
  • oapiv1

2.2.58. replace the specified Group

PUT /oapi/v1/groups/{name}
Copy to Clipboard Toggle word wrap
2.2.58.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.104, “v1.Group”

 

PathParameter

name

name of the Group

true

string

 
2.2.58.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.104, “v1.Group”

2.2.58.3. Consumes
  • /
2.2.58.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.58.5. Tags
  • oapiv1

2.2.59. delete a Group

DELETE /oapi/v1/groups/{name}
Copy to Clipboard Toggle word wrap
2.2.59.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.62, “v1.DeleteOptions”

 

PathParameter

name

name of the Group

true

string

 
2.2.59.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.10, “unversioned.Status”

2.2.59.3. Consumes
  • /
2.2.59.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.59.5. Tags
  • oapiv1

2.2.60. partially update the specified Group

PATCH /oapi/v1/groups/{name}
Copy to Clipboard Toggle word wrap
2.2.60.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.9, “unversioned.Patch”

 

PathParameter

name

name of the Group

true

string

 
2.2.60.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.104, “v1.Group”

2.2.60.3. Consumes
  • application/json-patch+json
  • application/merge-patch+json
  • application/strategic-merge-patch+json
2.2.60.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.60.5. Tags
  • oapiv1

2.2.61. read the specified Group

GET /oapi/v1/groups/{name}
Copy to Clipboard Toggle word wrap
2.2.61.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

export

Should this value be exported. Export strips fields that a user can not specify.

false

boolean

 

QueryParameter

exact

Should the export be exact. Exact export maintains cluster-specific fields like 'Namespace'

false

boolean

 

PathParameter

name

name of the Group

true

string

 
2.2.61.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.104, “v1.Group”

2.2.61.3. Consumes
  • /
2.2.61.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.61.5. Tags
  • oapiv1

2.2.62. delete collection of HostSubnet

DELETE /oapi/v1/hostsubnets
Copy to Clipboard Toggle word wrap
2.2.62.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.62.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.10, “unversioned.Status”

2.2.62.3. Consumes
  • /
2.2.62.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.62.5. Tags
  • oapiv1

2.2.63. create a HostSubnet

POST /oapi/v1/hostsubnets
Copy to Clipboard Toggle word wrap
2.2.63.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.110, “v1.HostSubnet”

 
2.2.63.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.110, “v1.HostSubnet”

2.2.63.3. Consumes
  • /
2.2.63.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.63.5. Tags
  • oapiv1

2.2.64. list or watch objects of kind HostSubnet

GET /oapi/v1/hostsubnets
Copy to Clipboard Toggle word wrap
2.2.64.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.64.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.111, “v1.HostSubnetList”

2.2.64.3. Consumes
  • /
2.2.64.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.64.5. Tags
  • oapiv1

2.2.65. replace the specified HostSubnet

PUT /oapi/v1/hostsubnets/{name}
Copy to Clipboard Toggle word wrap
2.2.65.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.110, “v1.HostSubnet”

 

PathParameter

name

name of the HostSubnet

true

string

 
2.2.65.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.110, “v1.HostSubnet”

2.2.65.3. Consumes
  • /
2.2.65.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.65.5. Tags
  • oapiv1

2.2.66. delete a HostSubnet

DELETE /oapi/v1/hostsubnets/{name}
Copy to Clipboard Toggle word wrap
2.2.66.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.62, “v1.DeleteOptions”

 

PathParameter

name

name of the HostSubnet

true

string

 
2.2.66.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.10, “unversioned.Status”

2.2.66.3. Consumes
  • /
2.2.66.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.66.5. Tags
  • oapiv1

2.2.67. partially update the specified HostSubnet

PATCH /oapi/v1/hostsubnets/{name}
Copy to Clipboard Toggle word wrap
2.2.67.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.9, “unversioned.Patch”

 

PathParameter

name

name of the HostSubnet

true

string

 
2.2.67.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.110, “v1.HostSubnet”

2.2.67.3. Consumes
  • application/json-patch+json
  • application/merge-patch+json
  • application/strategic-merge-patch+json
2.2.67.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.67.5. Tags
  • oapiv1

2.2.68. read the specified HostSubnet

GET /oapi/v1/hostsubnets/{name}
Copy to Clipboard Toggle word wrap
2.2.68.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

export

Should this value be exported. Export strips fields that a user can not specify.

false

boolean

 

QueryParameter

exact

Should the export be exact. Exact export maintains cluster-specific fields like 'Namespace'

false

boolean

 

PathParameter

name

name of the HostSubnet

true

string

 
2.2.68.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.110, “v1.HostSubnet”

2.2.68.3. Consumes
  • /
2.2.68.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.68.5. Tags
  • oapiv1

2.2.69. delete collection of Identity

DELETE /oapi/v1/identities
Copy to Clipboard Toggle word wrap
2.2.69.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.69.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.10, “unversioned.Status”

2.2.69.3. Consumes
  • /
2.2.69.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.69.5. Tags
  • oapiv1

2.2.70. create a Identity

POST /oapi/v1/identities
Copy to Clipboard Toggle word wrap
2.2.70.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.113, “v1.Identity”

 
2.2.70.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.113, “v1.Identity”

2.2.70.3. Consumes
  • /
2.2.70.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.70.5. Tags
  • oapiv1

2.2.71. list or watch objects of kind Identity

GET /oapi/v1/identities
Copy to Clipboard Toggle word wrap
2.2.71.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.71.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.114, “v1.IdentityList”

2.2.71.3. Consumes
  • /
2.2.71.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.71.5. Tags
  • oapiv1

2.2.72. replace the specified Identity

PUT /oapi/v1/identities/{name}
Copy to Clipboard Toggle word wrap
2.2.72.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.113, “v1.Identity”

 

PathParameter

name

name of the Identity

true

string

 
2.2.72.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.113, “v1.Identity”

2.2.72.3. Consumes
  • /
2.2.72.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.72.5. Tags
  • oapiv1

2.2.73. delete a Identity

DELETE /oapi/v1/identities/{name}
Copy to Clipboard Toggle word wrap
2.2.73.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.62, “v1.DeleteOptions”

 

PathParameter

name

name of the Identity

true

string

 
2.2.73.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.10, “unversioned.Status”

2.2.73.3. Consumes
  • /
2.2.73.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.73.5. Tags
  • oapiv1

2.2.74. partially update the specified Identity

PATCH /oapi/v1/identities/{name}
Copy to Clipboard Toggle word wrap
2.2.74.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.9, “unversioned.Patch”

 

PathParameter

name

name of the Identity

true

string

 
2.2.74.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.113, “v1.Identity”

2.2.74.3. Consumes
  • application/json-patch+json
  • application/merge-patch+json
  • application/strategic-merge-patch+json
2.2.74.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.74.5. Tags
  • oapiv1

2.2.75. read the specified Identity

GET /oapi/v1/identities/{name}
Copy to Clipboard Toggle word wrap
2.2.75.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

export

Should this value be exported. Export strips fields that a user can not specify.

false

boolean

 

QueryParameter

exact

Should the export be exact. Exact export maintains cluster-specific fields like 'Namespace'

false

boolean

 

PathParameter

name

name of the Identity

true

string

 
2.2.75.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.113, “v1.Identity”

2.2.75.3. Consumes
  • /
2.2.75.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.75.5. Tags
  • oapiv1

2.2.76. delete collection of Image

DELETE /oapi/v1/images
Copy to Clipboard Toggle word wrap
2.2.76.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.76.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.10, “unversioned.Status”

2.2.76.3. Consumes
  • /
2.2.76.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.76.5. Tags
  • oapiv1

2.2.77. create a Image

POST /oapi/v1/images
Copy to Clipboard Toggle word wrap
2.2.77.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.115, “v1.Image”

 
2.2.77.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.115, “v1.Image”

2.2.77.3. Consumes
  • /
2.2.77.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.77.5. Tags
  • oapiv1

2.2.78. list or watch objects of kind Image

GET /oapi/v1/images
Copy to Clipboard Toggle word wrap
2.2.78.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.78.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.122, “v1.ImageList”

2.2.78.3. Consumes
  • /
2.2.78.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.78.5. Tags
  • oapiv1

2.2.79. replace the specified Image

PUT /oapi/v1/images/{name}
Copy to Clipboard Toggle word wrap
2.2.79.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.115, “v1.Image”

 

PathParameter

name

name of the Image

true

string

 
2.2.79.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.115, “v1.Image”

2.2.79.3. Consumes
  • /
2.2.79.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.79.5. Tags
  • oapiv1

2.2.80. delete a Image

DELETE /oapi/v1/images/{name}
Copy to Clipboard Toggle word wrap
2.2.80.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.62, “v1.DeleteOptions”

 

PathParameter

name

name of the Image

true

string

 
2.2.80.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.10, “unversioned.Status”

2.2.80.3. Consumes
  • /
2.2.80.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.80.5. Tags
  • oapiv1

2.2.81. partially update the specified Image

PATCH /oapi/v1/images/{name}
Copy to Clipboard Toggle word wrap
2.2.81.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.9, “unversioned.Patch”

 

PathParameter

name

name of the Image

true

string

 
2.2.81.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.115, “v1.Image”

2.2.81.3. Consumes
  • application/json-patch+json
  • application/merge-patch+json
  • application/strategic-merge-patch+json
2.2.81.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.81.5. Tags
  • oapiv1

2.2.82. read the specified Image

GET /oapi/v1/images/{name}
Copy to Clipboard Toggle word wrap
2.2.82.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

export

Should this value be exported. Export strips fields that a user can not specify.

false

boolean

 

QueryParameter

exact

Should the export be exact. Exact export maintains cluster-specific fields like 'Namespace'

false

boolean

 

PathParameter

name

name of the Image

true

string

 
2.2.82.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.115, “v1.Image”

2.2.82.3. Consumes
  • /
2.2.82.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.82.5. Tags
  • oapiv1

2.2.83. create a ImageSignature

POST /oapi/v1/imagesignatures
Copy to Clipboard Toggle word wrap
2.2.83.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.123, “v1.ImageSignature”

 
2.2.83.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.123, “v1.ImageSignature”

2.2.83.3. Consumes
  • /
2.2.83.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.83.5. Tags
  • oapiv1

2.2.84. delete a ImageSignature

DELETE /oapi/v1/imagesignatures/{name}
Copy to Clipboard Toggle word wrap
2.2.84.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

PathParameter

name

name of the ImageSignature

true

string

 
2.2.84.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.10, “unversioned.Status”

2.2.84.3. Consumes
  • /
2.2.84.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.84.5. Tags
  • oapiv1

2.2.85. create a ImageStreamImport

POST /oapi/v1/imagestreamimports
Copy to Clipboard Toggle word wrap
2.2.85.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.128, “v1.ImageStreamImport”

 
2.2.85.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.128, “v1.ImageStreamImport”

2.2.85.3. Consumes
  • /
2.2.85.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.85.5. Tags
  • oapiv1

2.2.86. create a ImageStreamMapping

POST /oapi/v1/imagestreammappings
Copy to Clipboard Toggle word wrap
2.2.86.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.132, “v1.ImageStreamMapping”

 
2.2.86.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.132, “v1.ImageStreamMapping”

2.2.86.3. Consumes
  • /
2.2.86.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.86.5. Tags
  • oapiv1

2.2.87. create a ImageStream

POST /oapi/v1/imagestreams
Copy to Clipboard Toggle word wrap
2.2.87.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.126, “v1.ImageStream”

 
2.2.87.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.126, “v1.ImageStream”

2.2.87.3. Consumes
  • /
2.2.87.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.87.5. Tags
  • oapiv1

2.2.88. list or watch objects of kind ImageStream

GET /oapi/v1/imagestreams
Copy to Clipboard Toggle word wrap
2.2.88.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.88.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.131, “v1.ImageStreamList”

2.2.88.3. Consumes
  • /
2.2.88.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.88.5. Tags
  • oapiv1

2.2.89. create a ImageStreamTag

POST /oapi/v1/imagestreamtags
Copy to Clipboard Toggle word wrap
2.2.89.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.135, “v1.ImageStreamTag”

 
2.2.89.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.135, “v1.ImageStreamTag”

2.2.89.3. Consumes
  • /
2.2.89.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.89.5. Tags
  • oapiv1

2.2.90. list objects of kind ImageStreamTag

GET /oapi/v1/imagestreamtags
Copy to Clipboard Toggle word wrap
2.2.90.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 
2.2.90.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.136, “v1.ImageStreamTagList”

2.2.90.3. Consumes
  • /
2.2.90.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.90.5. Tags
  • oapiv1

2.2.91. create a LocalResourceAccessReview

POST /oapi/v1/localresourceaccessreviews
Copy to Clipboard Toggle word wrap
2.2.91.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.142, “v1.LocalResourceAccessReview”

 
2.2.91.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.142, “v1.LocalResourceAccessReview”

2.2.91.3. Consumes
  • /
2.2.91.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.91.5. Tags
  • oapiv1

2.2.92. create a LocalSubjectAccessReview

POST /oapi/v1/localsubjectaccessreviews
Copy to Clipboard Toggle word wrap
2.2.92.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.143, “v1.LocalSubjectAccessReview”

 
2.2.92.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.143, “v1.LocalSubjectAccessReview”

2.2.92.3. Consumes
  • /
2.2.92.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.92.5. Tags
  • oapiv1
GET /oapi/v1/namespaces/{namespace}/appliedclusterresourcequotas
Copy to Clipboard Toggle word wrap
2.2.93.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 

PathParameter

namespace

object name and auth scope, such as for teams and projects

true

string

 
2.2.93.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.15, “v1.AppliedClusterResourceQuotaList”

2.2.93.3. Consumes
  • /
2.2.93.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.93.5. Tags
  • oapiv1
GET /oapi/v1/namespaces/{namespace}/appliedclusterresourcequotas/{name}
Copy to Clipboard Toggle word wrap
2.2.94.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

PathParameter

namespace

object name and auth scope, such as for teams and projects

true

string

 

PathParameter

name

name of the AppliedClusterResourceQuota

true

string

 
2.2.94.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.14, “v1.AppliedClusterResourceQuota”

2.2.94.3. Consumes
  • /
2.2.94.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.94.5. Tags
  • oapiv1

2.2.95. delete collection of BuildConfig

DELETE /oapi/v1/namespaces/{namespace}/buildconfigs
Copy to Clipboard Toggle word wrap
2.2.95.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 

PathParameter

namespace

object name and auth scope, such as for teams and projects

true

string

 
2.2.95.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.10, “unversioned.Status”

2.2.95.3. Consumes
  • /
2.2.95.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.95.5. Tags
  • oapiv1

2.2.96. create a BuildConfig

POST /oapi/v1/namespaces/{namespace}/buildconfigs
Copy to Clipboard Toggle word wrap
2.2.96.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.21, “v1.BuildConfig”

 

PathParameter

namespace

object name and auth scope, such as for teams and projects

true

string

 
2.2.96.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.21, “v1.BuildConfig”

2.2.96.3. Consumes
  • /
2.2.96.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.96.5. Tags
  • oapiv1

2.2.97. list or watch objects of kind BuildConfig

GET /oapi/v1/namespaces/{namespace}/buildconfigs
Copy to Clipboard Toggle word wrap
2.2.97.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 

PathParameter

namespace

object name and auth scope, such as for teams and projects

true

string

 
2.2.97.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.22, “v1.BuildConfigList”

2.2.97.3. Consumes
  • /
2.2.97.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.97.5. Tags
  • oapiv1

2.2.98. replace the specified BuildConfig

PUT /oapi/v1/namespaces/{namespace}/buildconfigs/{name}
Copy to Clipboard Toggle word wrap
2.2.98.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.21, “v1.BuildConfig”

 

PathParameter

namespace

object name and auth scope, such as for teams and projects

true

string

 

PathParameter

name

name of the BuildConfig

true

string

 
2.2.98.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.21, “v1.BuildConfig”

2.2.98.3. Consumes
  • /
2.2.98.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.98.5. Tags
  • oapiv1

2.2.99. delete a BuildConfig

DELETE /oapi/v1/namespaces/{namespace}/buildconfigs/{name}
Copy to Clipboard Toggle word wrap
2.2.99.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.62, “v1.DeleteOptions”

 

PathParameter

namespace

object name and auth scope, such as for teams and projects

true

string

 

PathParameter

name

name of the BuildConfig

true

string

 
2.2.99.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.10, “unversioned.Status”

2.2.99.3. Consumes
  • /
2.2.99.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.99.5. Tags
  • oapiv1
PATCH /oapi/v1/namespaces/{namespace}/buildconfigs/{name}
Copy to Clipboard Toggle word wrap
2.2.100.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.9, “unversioned.Patch”

 

PathParameter

namespace

object name and auth scope, such as for teams and projects

true

string

 

PathParameter

name

name of the BuildConfig

true

string

 
2.2.100.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.21, “v1.BuildConfig”

2.2.100.3. Consumes
  • application/json-patch+json
  • application/merge-patch+json
  • application/strategic-merge-patch+json
2.2.100.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.100.5. Tags
  • oapiv1

2.2.101. read the specified BuildConfig

GET /oapi/v1/namespaces/{namespace}/buildconfigs/{name}
Copy to Clipboard Toggle word wrap
2.2.101.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

export

Should this value be exported. Export strips fields that a user can not specify.

false

boolean

 

QueryParameter

exact

Should the export be exact. Exact export maintains cluster-specific fields like 'Namespace'

false

boolean

 

PathParameter

namespace

object name and auth scope, such as for teams and projects

true

string

 

PathParameter

name

name of the BuildConfig

true

string

 
2.2.101.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.21, “v1.BuildConfig”

2.2.101.3. Consumes
  • /
2.2.101.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.101.5. Tags
  • oapiv1

2.2.102. create instantiate of a BuildRequest

POST /oapi/v1/namespaces/{namespace}/buildconfigs/{name}/instantiate
Copy to Clipboard Toggle word wrap
2.2.102.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.29, “v1.BuildRequest”

 

PathParameter

namespace

object name and auth scope, such as for teams and projects

true

string

 

PathParameter

name

name of the BuildRequest

true

string

 
2.2.102.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.29, “v1.BuildRequest”

2.2.102.3. Consumes
  • /
2.2.102.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.102.5. Tags
  • oapiv1
POST /oapi/v1/namespaces/{namespace}/buildconfigs/{name}/instantiatebinary
Copy to Clipboard Toggle word wrap
2.2.103.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

asFile

asFile determines if the binary should be created as a file within the source rather than extracted as an archive

false

string

 

QueryParameter

revision.commit

revision.commit is the value identifying a specific commit

false

string

 

QueryParameter

revision.message

revision.message is the description of a specific commit

false

string

 

QueryParameter

revision.authorName

revision.authorName of the source control user

false

string

 

QueryParameter

revision.authorEmail

revision.authorEmail of the source control user

false

string

 

QueryParameter

revision.committerName

revision.committerName of the source control user

false

string

 

QueryParameter

revision.committerEmail

revision.committerEmail of the source control user

false

string

 

PathParameter

namespace

object name and auth scope, such as for teams and projects

true

string

 

PathParameter

name

name of the BinaryBuildRequestOptions

true

string

 
2.2.103.2. Responses
Expand
HTTP CodeDescriptionSchema

default

success

string

2.2.103.3. Consumes
  • /
2.2.103.4. Produces
  • /
2.2.103.5. Tags
  • oapiv1
POST /oapi/v1/namespaces/{namespace}/buildconfigs/{name}/webhooks
Copy to Clipboard Toggle word wrap
2.2.104.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

path

Path is the URL path to use for the current proxy request to pod.

false

string

 

PathParameter

namespace

object name and auth scope, such as for teams and projects

true

string

 

PathParameter

name

name of the Status

true

string

 
2.2.104.2. Responses
Expand
HTTP CodeDescriptionSchema

default

success

string

2.2.104.3. Consumes
  • /
2.2.104.4. Produces
  • /
2.2.104.5. Tags
  • oapiv1
POST /oapi/v1/namespaces/{namespace}/buildconfigs/{name}/webhooks/{path}
Copy to Clipboard Toggle word wrap
2.2.105.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

path

Path is the URL path to use for the current proxy request to pod.

false

string

 

PathParameter

namespace

object name and auth scope, such as for teams and projects

true

string

 

PathParameter

name

name of the Status

true

string

 

PathParameter

path

path to the resource

true

string

 
2.2.105.2. Responses
Expand
HTTP CodeDescriptionSchema

default

success

string

2.2.105.3. Consumes
  • /
2.2.105.4. Produces
  • /
2.2.105.5. Tags
  • oapiv1

2.2.106. delete collection of Build

DELETE /oapi/v1/namespaces/{namespace}/builds
Copy to Clipboard Toggle word wrap
2.2.106.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 

PathParameter

namespace

object name and auth scope, such as for teams and projects

true

string

 
2.2.106.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.10, “unversioned.Status”

2.2.106.3. Consumes
  • /
2.2.106.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.106.5. Tags
  • oapiv1

2.2.107. create a Build

POST /oapi/v1/namespaces/{namespace}/builds
Copy to Clipboard Toggle word wrap
2.2.107.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.20, “v1.Build”

 

PathParameter

namespace

object name and auth scope, such as for teams and projects

true

string

 
2.2.107.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.20, “v1.Build”

2.2.107.3. Consumes
  • /
2.2.107.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.107.5. Tags
  • oapiv1

2.2.108. list or watch objects of kind Build

GET /oapi/v1/namespaces/{namespace}/builds
Copy to Clipboard Toggle word wrap
2.2.108.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

QueryParameter

labelSelector

A selector to restrict the list of returned objects by their labels. Defaults to everything.

false

string

 

QueryParameter

fieldSelector

A selector to restrict the list of returned objects by their fields. Defaults to everything.

false

string

 

QueryParameter

watch

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

false

boolean

 

QueryParameter

resourceVersion

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history.

false

string

 

QueryParameter

timeoutSeconds

Timeout for the list/watch call.

false

integer

 

PathParameter

namespace

object name and auth scope, such as for teams and projects

true

string

 
2.2.108.2. Responses
Expand
HTTP CodeDescriptionSchema

200

success

Section 2.3.25, “v1.BuildList”

2.2.108.3. Consumes
  • /
2.2.108.4. Produces
  • application/json
  • application/yaml
  • application/vnd.kubernetes.protobuf
2.2.108.5. Tags
  • oapiv1

2.2.109. replace the specified Build

PUT /oapi/v1/namespaces/{namespace}/builds/{name}
Copy to Clipboard Toggle word wrap
2.2.109.1. Parameters
Expand
TypeNameDescriptionRequiredSchemaDefault

QueryParameter

pretty

If 'true', then the output is pretty printed.

false

string

 

BodyParameter

body

 

true

Section 2.3.20, “v1.Build”

 

PathParameter

namespace

object name and auth scope, such as for teams and projects

true

string

 

[...]
